Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.graphics
Class LazyFeatureLayer

    java.lang.Object
      org.deegree.graphics.AbstractLayer
          org.deegree.graphics.FeatureLayer
              org.deegree.graphics.LazyFeatureLayer

All Implemented Interfaces:
  Layer

    public abstract class LazyFeatureLayer

extends FeatureLayer

Version:
  $Revision: 19454 $, $Date: 2009-09-01 14:27:33 +0200 (Di, 01. Sep 2009) $
Author:
  Andreas Poth, last edited by: $Author: apoth $

Field Summary

Fields inherited from class org.deegree.graphics.FeatureLayer
`fc`

Fields inherited from class org.deegree.graphics.AbstractLayer
`boundingbox, cs, eventController`

Constructor Summary
`LazyFeatureLayer(String name)`
`LazyFeatureLayer(String name, CoordinateSystem crs)`

Method Summary

Methods inherited from class org.deegree.graphics.FeatureLayer
`addFeature, addFeatureCollection, getAllFeatures, getFeature, getFeatureById, getFeaturesById, getSize, removeFeature, removeFeature, setCoordinatesSystem`

Methods inherited from class org.deegree.graphics.AbstractLayer
`addEventController, getBoundingBox, getCoordinatesSystem, getName, isValid, removeEventController`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LazyFeatureLayer

    public LazyFeatureLayer(String name)
                     throws Exception

Parameters:
  `name` -
Throws:
  `Exception`

### LazyFeatureLayer

    public LazyFeatureLayer(String name,
                            CoordinateSystem crs)
                     throws Exception

Parameters:
  `name` -
  `crs` -
Throws:
  `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org